# $Revision: 1.13 $, $Date: 2011/11/05 19:11:55 $
Summary:	Collection of Video4Linux utilities
Summary(pl.UTF-8):	Zbiór narzędzi do urządzeń Video4Linux
Name:		v4l-utils
Version:	0.8.5
Release:	1
License:	GPL v2+ (utilities), LGPL v2.1+ (libraries)
Group:		Applications/System
Source0:	http://linuxtv.org/downloads/v4l-utils/%{name}-%{version}.tar.bz2
# Source0-md5:	037bec9f68cfb0b84bcccb00d30e429b
URL:		http://hansdegoede.livejournal.com/
BuildRequires:	QtGui-devel
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A series of utilities for media devices, allowing to handle the
proprietary formats available at most webcams (libv4l), and providing
tools to test V4L devices.

%description -l pl.UTF-8
Zbiór narzędzi do urządzeń multimedialnych, pozwalający obsługiwać
własnościowe formaty dostępne w większości kamer internetowych
(libv4l) oraz testować urządzenia V4L.

%package qt
Summary:	Qt-based V4L2 test Utility
Summary(pl.UTF-8):	Narzędzie testowe V4L2 oparte na Qt
License:	GPL v2+
Group:		X11/Applications

%description qt
Graphical Qt V4L2 control panel.

%description qt -l pl.UTF-8
Graficzny panel kontrolny V4L2 oparty na Qt.

%package -n ir-keytable
Summary:	Alter keymaps of Remote Controller devices
Summary(pl.UTF-8):	Zmiana map klawiszy urządzeń do zdalnego sterowania
License:	GPL v2+
Group:		Applications/Console

%description -n ir-keytable
Dump, Load or Modify IR receiver input tables. This package allows one
to change the keymap of controller receivers. Those receivers are
found as infrared receivers on DVB sticks or on framegrabber cards.
Via ir-keytable the mapping from a scancode to the generated event can
be customized and made persistent.

%description -n ir-keytable -l pl.UTF-8
ir-keytable to narzędzie pozwalające na zrzucanie, wczytywanie i
modyfikowanie tablic wejściowych odbiorników podczerwieni (IR). Ten
pakiet pozwala na zmianę tablic klawiszy odbiorników pilotów.
Odbiorniki podczerwieni występują na interfejsach DVB lub kartach
framegrabberów. Dzięki użyciu ir-keytable można zmienić i zachować
odwzorowania między skankodami a generowanymi zdarzeniami.

%package -n libv4l
Summary:	Abstraction layer on top of video4linux2 devices
Summary(pl.UTF-8):	Warstwa abstrakcji dla urządzeń video4linux2
License:	LGPL v2.1+
Group:		Libraries

%description -n libv4l
Collection of libraries which adds a thin abstraction layer on top of
video4linux2 devices. The purpose of this (thin) layer is to make it
easy for application writers to support a wide variety of devices
without having to write seperate code for different devices in the
same class.

%description -n libv4l -l pl.UTF-8
libv4l to zestaw bibliotek dodający niewielką warstwę abstrakcji dla
urządzeń video4linux2. Celem tej warstwy jest ułatwienie autorom
aplikacji obsługi szerokiej gamy urządzeń bez pisania osobnego kodu
dla różnych urządzeń tej samej klasy.

%package -n libv4l-devel
Summary:	Header files for libv4l libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek libv4l
License:	LGPL v2.1+
Group:		Development/Libraries
Requires:	libv4l = %{version}-%{release}

%description -n libv4l-devel
Header files for libv4l libraries.

%description -n libv4l-devel -l pl.UTF-8
Pliki nagłówkowe bibliotek libv4l.

%prep
%setup -q

%if "%{pld_release}" == "ac"
%{__sed} -i 's/-fvisibility=hidden//' */Makefile
%endif

%build
%{__make} \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	CFLAGS="%{rpmcppflags} %{rpmcflags} -Wall" \
	CXXFLAGS="%{rpmcppflags} %{rpmcxxflags} -Wall" \
	LDFLAGS="%{rpmcflags} %{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	PREFIX=%{_prefix} \
	LIBDIR=%{_libdir} \
	DESTDIR=$RPM_BUILD_ROOT

install utils/rds/rds-saa6588 $RPM_BUILD_ROOT%{_bindir}
install utils/xc3028-firmware/firmware-tool $RPM_BUILD_ROOT%{_bindir}/xc3028-firmware

%clean
rm -rf $RPM_BUILD_ROOT

%post   -n libv4l -p /sbin/ldconfig
%postun -n libv4l -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO contrib
%attr(755,root,root) %{_bindir}/cx18-ctl
%attr(755,root,root) %{_bindir}/decode_tm6000
%attr(755,root,root) %{_bindir}/ivtv-ctl
%attr(755,root,root) %{_bindir}/rds-saa6588
%attr(755,root,root) %{_bindir}/v4l2-*
%attr(755,root,root) %{_bindir}/xc3028-firmware
%attr(755,root,root) %{_sbindir}/v4l2-dbg

%files qt
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/qv4l2
%{_desktopdir}/qv4l2.desktop
%{_iconsdir}/hicolor/*/apps/qv4l2.*

%files -n ir-keytable
%defattr(644,root,root,755)
%dir %{_sysconfdir}/rc_keymaps
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/rc_keymaps/*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/rc_maps.cfg
/lib/udev/rules.d/70-infrared.rules
%attr(755,root,root) %{_bindir}/ir-keytable
%{_mandir}/man1/ir-keytable.1*

%files -n libv4l
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libv4l1.so.0
%attr(755,root,root) %{_libdir}/libv4l2.so.0
%attr(755,root,root) %{_libdir}/libv4lconvert.so.0
%dir %{_libdir}/libv4l
%attr(755,root,root) %{_libdir}/libv4l/*

%files -n libv4l-devel
%defattr(644,root,root,755)
%doc README.lib*
%attr(755,root,root) %{_libdir}/libv4l1.so
%attr(755,root,root) %{_libdir}/libv4l2.so
%attr(755,root,root) %{_libdir}/libv4lconvert.so
%{_includedir}/libv4l*.h
%{_pkgconfigdir}/libv4l1.pc
%{_pkgconfigdir}/libv4l2.pc
%{_pkgconfigdir}/libv4lconvert.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: v4l-utils.spec,v $
Revision 1.13  2011/11/05 19:11:55  qboosh
- pl
- pass CXX and CXXFLAGS
- proper config() attrs, for files not dirs
- killed files duplicate caused by to many globs
- removed unused sysfsutils BR

Revision 1.12  2011/11/05 18:49:23  qboosh
- spec renamed from libv4l.spec to v4l-utils.spec; subpackage namespaces swapped

Revision 1.11  2011/11/05 12:43:03  gotar
- v4l-utils has no Console group Applications

Revision 1.10  2011/11/05 01:03:24  gotar
- longer ir-keytable %desc from Debian package. Note this spec should be renamed

Revision 1.9  2011/11/05 00:58:32  gotar
- upgraded to 0.8.5 full & original v4l-utils maintained package, main URL,
- build and package all the missing tools, don't overdo with verbose lists,
- summary/descriptions/other cosmetics, put contrib in v4l-utils %doc

Revision 1.8  2010/11/06 17:31:49  qboosh
- License is LGPL and Group is Libraries
- explicit sonames
- pl

Revision 1.7  2010/07/12 22:45:09  cactus
- up to 0.6.4; lots of bugfixes, new source adress

Revision 1.6  2010/01/20 00:37:02  sparky
- up to 0.6.1
- use __cc and rpm*flags
- explicit %files
- kill -fvisibility=hidden if building on Ac

Revision 1.5  2009/07/09 17:26:10  paszczus
- updated to 0.6.0

Revision 1.4  2009/06/14 14:46:26  cactus
- just make install and we have 2 more needed libs
- TODO: add LD_PRELOAD=%{_libdir}/libv4l/v4l1compat.so to skype etc. or sf

Revision 1.3  2009/06/13 18:33:33  cactus
- up to 0.5.99

Revision 1.2  2009/05/28 07:33:18  paszczus
- updated to 0.5.98

Revision 1.1  2009/05/28 07:13:35  paszczus
- initial
